import { DataUnit, FieldDescriptor, Record, UnitMetadata, RECORD_DATE_FORMAT } from '@sankhyalabs/core';
import { InMemoryLoaderConfig } from './interfaces/InMemoryLoaderConfig';
export default class InMemoryLoader {
  private _dataUnitInMemoryLoader;
  static IN_MEMORY_DATA_UNIT_NAME: string;
  constructor(metadata?: UnitMetadata, records?: Array<Record>, config?: InMemoryLoaderConfig);
  get dataUnit(): DataUnit;
  get records(): Array<Record>;
  set records(records: Array<Record>);
  get metadata(): UnitMetadata;
  set metadata(metadata: UnitMetadata);
  removeLoader(_dataUnit: DataUnit, recordIds: Array<string>): Promise<Array<string>>;
  static getConvertedValue(descriptor: FieldDescriptor, strValue: string, dateFormat?: RECORD_DATE_FORMAT): any;
}
